Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DemoNetInterface Class Reference

`#include <serverQuery.h>`

Inheritance diagram for DemoNetInterface:

## Public Member Functions
void | handleInfoPacket (const NetAddress *address, U8 packetType, BitStream *stream)
| Handles all packets that don't fall into the category of connection handshake or game data. More...
Public Member Functions inherited from NetInterface
| NetInterface ()
bool | doesAllowConnections ()
| Returns whether or not this NetInterface allows connections from remote hosts. More...
void | setAllowsConnections (bool conn)
| Sets whether or not this NetInterface allows connections from remote hosts. More...
virtual void | processPacketReceiveEvent (PacketReceiveEvent *event)
| Dispatch function for processing all network packets through this NetInterface. More...
void | processClient ()
| Checks all connections marked as client to server for packet sends. More...
void | processServer ()
| Checks all connections marked as server to client for packet sends. More...
void | startConnection (NetConnection *conn)
| Begins the connection handshaking process for a connection. More...
void | checkTimeouts ()
| Checks for timeouts on all valid and pending connections. More...
void | sendDisconnectPacket (NetConnection *conn, const char *reason)
| Send a disconnect packet on a connection, along with a reason. More...

## Additional Inherited Members
Public Types inherited from NetInterface
enum | PacketTypes { MasterServerGameTypesRequest = 2, MasterServerGameTypesResponse = 4, MasterServerListRequest = 6, MasterServerListResponse = 8, GameMasterInfoRequest = 10, GameMasterInfoResponse = 12, GamePingRequest = 14, GamePingResponse = 16, GameInfoRequest = 18, GameInfoResponse = 20, GameHeartbeat = 22, ConnectChallengeRequest = 26, ConnectChallengeReject = 28, ConnectChallengeResponse = 30, ConnectRequest = 32, ConnectReject = 34, ConnectAccept = 36, Disconnect = 38 }
Protected Types inherited from NetInterface
enum | NetInterfaceConstants { MaxPendingConnects = 20, ChallengeRetryCount = 4, ChallengeRetryTime = 2500, ConnectRetryCount = 4, ConnectRetryTime = 2500, TimeoutCheckInterval = 1500 }
Protected Member Functions inherited from NetInterface
void | initRandomData ()
| Initialize random data. More...
void | computeNetMD5 (const NetAddress *address, U32 connectSequence, U32 addressDigest[4])
| Calculate an MD5 sum representing a connection, and store it into addressDigest. More...
void | addPendingConnection (NetConnection *conn)
NetConnection * | findPendingConnection (const NetAddress *address, U32 packetSequence)
void | removePendingConnection (NetConnection *conn)
void | sendConnectChallengeRequest (NetConnection *conn)
void | handleConnectChallengeRequest (const NetAddress *addr, BitStream *stream)
void | handleConnectChallengeResponse (const NetAddress *address, BitStream *stream)
void | sendConnectRequest (NetConnection *conn)
void | handleConnectRequest (const NetAddress *address, BitStream *stream)
void | sendConnectAccept (NetConnection *conn)
void | handleConnectAccept (const NetAddress *address, BitStream *stream)
void | sendConnectReject (NetConnection *conn, const char *reason)
void | handleConnectReject (const NetAddress *address, BitStream *stream)
void | handleDisconnect (const NetAddress *address, BitStream *stream)
Protected Attributes inherited from NetInterface
Vector< NetConnection * > | mPendingConnections
| List of connections that are in the startup phase. More...
U32 | mLastTimeoutCheckTime
| Last time all the active connections were checked for timeouts. More...
U32 | mRandomHashData [12]
| Data that gets hashed with connect challenge requests to prevent connection spoofing. More...
bool | mRandomDataInitialized
| Have we initialized our random number generator? More...
bool | mAllowConnections
| Is this NetInterface allowing connections at this time? More...

## Member Function Documentation

void handleInfoPacket | ( | const NetAddress * | address,
|  | U8 | packetType,
|  | BitStream * | stream
| ) |  |
| virtual

Handles all packets that don't fall into the category of connection handshake or game data.

Reimplemented from NetInterface.

The documentation for this class was generated from the following files:

- network/serverQuery.h
- network/serverQuery.cc